import folium
import webbrowser

# Coordonnées des lieux
lieux = {
    "Mont Saint Michel": (48.6351, -1.5103),
    "Belvédère de Roz-sur-Couesnon": (48.590490, -1.5910117),
    "Saint Malo": (48.6495, -2.0255),
    "Cherrueix": (48.60157, -1.71235),
    "Cancale": (48.6715, -1.8546)
}

# Création de la carte centrée sur une position initiale
m = folium.Map(location=[48.6351, -1.5103], zoom_start=10)

# Ajout des marqueurs pour chaque lieu
for lieu, coord in lieux.items():
    folium.Marker(location=coord, popup=lieu).add_to(m)

# Affichage de la carte
m.save('roz cancale st malo mt st michel cherrueix.html')
# Ouvrir le fichier HTML dans le navigateur
webbrowser.open('roz cancale st malo mt st michel cherrueix.html')
